let
  sources = import ./nix/sources.nix;
  pkgs = import ./pkgs {};
  hosts = import (sources.nix-hexchen + "/lib/hosts.nix") {inherit pkgs; hostsDir = ./hosts; commonImports = [./common]; pkgsPath = ./pkgs; };
in {
  inherit sources pkgs;
  inherit (hosts) hosts groups;
  deploy = import (sources.nix-hexchen + "/lib/deploy.nix") { inherit pkgs; inherit (hosts) hosts groups; };
}
